Name:           ocaml-higlo
Version:        0.3
Release:        %mkrel 8
Summary:        OCaml library for syntax highlighting
License:        LGPL v3
Group:          Development/OCaml
URL:            http://zoggy.github.com/higlo/
Source0:        http://zoggy.github.com/higlo/higlo-%{version}.tar.gz
BuildRequires:  ocaml-findlib-devel
BuildRequires:  ocaml-xtmpl-devel
BuildRequires:  ocaml-ulex-devel
BuildRequires:  ocaml-camlp4-devel
Requires:       ocaml-xtmpl

%description
Higlo is an OCaml library for syntax highlighting.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}
Requires:       ocaml-xtmpl-devel

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n higlo-%{version}

%build
make
make doc

%install
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR/higlo
make install-lib
rm -f $OCAMLFIND_DESTDIR/higlo/LICENSE

# Install binaries by hand
mkdir -p %{buildroot}/%{_bindir}/
cp higlo %{buildroot}/%{_bindir}/
cp higlo.byte %{buildroot}/%{_bindir}/
cp mk-higlo %{buildroot}/%{_bindir}/

%files
%doc README.md LICENSE Changes
%dir %{_libdir}/ocaml/higlo
%{_libdir}/ocaml/higlo/META
%{_libdir}/ocaml/higlo/*.cmi
%{_libdir}/ocaml/higlo/*.cmo
%{_libdir}/ocaml/higlo/*.cmxs
%{_bindir}/*

%files devel
%doc doc/
%{_libdir}/ocaml/higlo/*.cmx
%{_libdir}/ocaml/higlo/*.mli
%{_libdir}/ocaml/higlo/*.o


%changelog
* Thu Nov 24 2016 neoclust <neoclust> 0.3-8.mga6
+ Revision: 1069812
- Rebuild against fixed ocaml

* Wed Feb 17 2016 umeabot <umeabot> 0.3-7.mga6
+ Revision: 964251
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.3-6.mga5
+ Revision: 741429
- Second Mageia 5 Mass Rebuild

* Fri Oct 03 2014 malo <malo> 0.3-5.mga5
+ Revision: 736331
- add back needed files

* Fri Sep 26 2014 tv <tv> 0.3-4.mga5
+ Revision: 725148
- rebuild for bogus file deps

* Tue Sep 16 2014 umeabot <umeabot> 0.3-3.mga5
+ Revision: 683046
- Mageia 5 Mass Rebuild

* Mon Sep 15 2014 malo <malo> 0.3-2.mga5
+ Revision: 676729
- add back missing files

* Wed Sep 10 2014 malo <malo> 0.3-1.mga5
+ Revision: 674489
- imported package ocaml-higlo

